@charset "UTF-8";

.header {
    position: fixed;
    top: -100%;
    left: 0;
    width: 100%;
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 300ms;
    transition-duration: 700ms;
    z-index: 1000;
}

.header__top {
    position: relative;
    display: flex;
    align-items: baseline;
    justify-content: center;
    border-bottom-color: none;
    padding-left: 0.6rem;
    padding-right: 0.6rem;
    padding-top: 0.32rem;
    padding-bottom: 0.32rem;
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 300ms;
}

@media (max-width: 767.9px) {
    .header__top {
        padding-left: 0.4rem;
        padding-right: 0.4rem;
    }
}

.header__top__menu {
    position: absolute;
    left: 0.6rem;
    top: 50%;
    display: flex;
    --un-translate-y: -50%;
    transform: translateX(var(--un-translate-x)) translateY(var(--un-translate-y)) translateZ(var(--un-translate-z))
        rotate(var(--un-rotate)) rotateX(var(--un-rotate-x)) rotateY(var(--un-rotate-y)) rotateZ(var(--un-rotate-z))
        skewX(var(--un-skew-x)) skewY(var(--un-skew-y)) scaleX(var(--un-scale-x)) scaleY(var(--un-scale-y))
        scaleZ(var(--un-scale-z));
    cursor: pointer;
    align-items: center;
    font-size: 0.2rem;
    --un-text-opacity: 1;
    color: rgb(255 255 255 / var(--un-text-opacity));
    line-height: 1;
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 300ms;
}

@media (max-width: 767.9px) {
    .header__top__menu {
        left: 0.32rem;
    }
}

.header__top__menu .icon {
    font-size: 0.2rem;
}

@media (max-width: 767.9px) {
    .header__top__menu .icon {
        font-size: 0.36rem;
    }
}

.header__top__menu p {
    margin-left: 0.16rem;
    font-size: var(--font-zh-text);
    line-height: 1.6494;
    font-weight: 300;
    letter-spacing: 0.11em;
    font-size: 0.2rem;
    line-height: 1;
    font-family: FZLTHProJ-Regular, sans-serif;
}

@media (max-width: 767.9px) {
    .header__top__menu p {
        font-size: 0.28rem;
    }
}

.header__logo {
    width: 1.36rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

@media (max-width: 767.9px) {
    .header__logo {
        width: 1.8rem;
    }
}

.header__logo__svg {
    --un-text-opacity: 1;
    color: rgb(255 255 255 / var(--un-text-opacity));
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 300ms;
}

.header__actions {
    position: absolute;
    right: 0.6rem;
    top: 50%;
    display: flex;
    --un-translate-y: -50%;
    transform: translateX(var(--un-translate-x)) translateY(var(--un-translate-y)) translateZ(var(--un-translate-z))
        rotate(var(--un-rotate)) rotateX(var(--un-rotate-x)) rotateY(var(--un-rotate-y)) rotateZ(var(--un-rotate-z))
        skewX(var(--un-skew-x)) skewY(var(--un-skew-y)) scaleX(var(--un-scale-x)) scaleY(var(--un-scale-y))
        scaleZ(var(--un-scale-z));
    align-items: center;
    gap: 0.42rem;
}

@media (max-width: 767.9px) {
    .header__actions {
        right: 0.32rem;
        gap: 0.32rem;
    }
}

.header__actions a {
    display: block;
    font-size: 0.24rem;
    --un-text-opacity: 1;
    color: rgb(255 255 255 / var(--un-text-opacity));
    line-height: 1;
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 300ms;
}

@media (max-width: 767.9px) {
    .header__actions a {
        font-size: 0.36rem;
    }
}

.language-switch {
}

@media (max-width: 767.9px) {
    .language-switch {
        display: none;
    }
}

.language-switch-wrap {
    display: flex;
    align-items: center;
    font-size: 0.18rem;
    font-family:
        Zalando Sans SemiExpanded,
        sans-serif;
}

.language-switch-wrap a {
    font-size: 0.18rem;
}

.language-switch-wrap span {
    margin-left: 0.18rem;
    margin-right: 0.18rem;
    --un-text-opacity: 1;
    color: rgb(255 255 255 / var(--un-text-opacity));
}

.header.show {
    top: 0;
}

.header.active .header__top {
    --un-backdrop-blur: blur(0.2rem);
    -webkit-backdrop-filter: var(--un-backdrop-blur) var(--un-backdrop-brightness) var(--un-backdrop-contrast)
        var(--un-backdrop-grayscale) var(--un-backdrop-hue-rotate) var(--un-backdrop-invert) var(--un-backdrop-opacity)
        var(--un-backdrop-saturate) var(--un-backdrop-sepia);
    backdrop-filter: var(--un-backdrop-blur) var(--un-backdrop-brightness) var(--un-backdrop-contrast)
        var(--un-backdrop-grayscale) var(--un-backdrop-hue-rotate) var(--un-backdrop-invert) var(--un-backdrop-opacity)
        var(--un-backdrop-saturate) var(--un-backdrop-sepia);
    border-bottom: 1px solid rgba(120, 119, 118, 0.15);
    background: rgba(255, 255, 255, 0.7);
}

.header.active .header__top__menu {
    --un-text-opacity: 1;
    color: rgb(31 31 31 / var(--un-text-opacity));
}

.header.active .header__logo__svg {
    --un-text-opacity: 1;
    color: rgb(31 31 31 / var(--un-text-opacity));
}

.header.active .header__actions a,
.header.active .header__actions span {
    --un-text-opacity: 1;
    color: rgb(31 31 31 / var(--un-text-opacity));
}

.header__content {
    position: fixed;
    top: 0;
    left: -100vw;
    width: 100%;
    height: 100%;
    overflow-x: hidden;
    overflow-y: visible;
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 300ms;
    transition-duration: 700ms;
}

.header__content.active {
    left: 0;
}

.header__content-inner {
    position: fixed;
    top: 0;
    left: -6.4rem;
    z-index: 3;
    width: 6.4rem;
    height: 100%;
    display: flex;
    flex-direction: column;
    --un-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--un-bg-opacity));
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 300ms;
    transition-duration: 500ms;
    padding: 1.26rem 0.56rem 0.34rem;
}

@media (max-width: 767.9px) {
    .header__content-inner {
        left: -100%;
        width: 100%;
    }
}

.header__overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    --un-backdrop-blur: blur(0.2rem);
    -webkit-backdrop-filter: var(--un-backdrop-blur) var(--un-backdrop-brightness) var(--un-backdrop-contrast)
        var(--un-backdrop-grayscale) var(--un-backdrop-hue-rotate) var(--un-backdrop-invert) var(--un-backdrop-opacity)
        var(--un-backdrop-saturate) var(--un-backdrop-sepia);
    backdrop-filter: var(--un-backdrop-blur) var(--un-backdrop-brightness) var(--un-backdrop-contrast)
        var(--un-backdrop-grayscale) var(--un-backdrop-hue-rotate) var(--un-backdrop-invert) var(--un-backdrop-opacity)
        var(--un-backdrop-saturate) var(--un-backdrop-sepia);
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 300ms;
    transition-duration: 700ms;
    inset: 1;
    z-index: 1;
    opacity: 0;
    background: rgba(0, 0, 0, 0.3);
    pointer-events: none;
}

.header__cursor {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 2;
    width: 1rem;
    height: 1rem;
    display: flex;
    cursor: pointer;
    align-items: center;
    justify-content: center;
    overflow: auto;
    border-radius: 99.99rem;
    background-color: rgb(0 0 0 / 0.6);
    font-size: 0.2rem;
    --un-text-opacity: 1;
    color: rgb(255 255 255 / var(--un-text-opacity));
    opacity: 0;
    visibility: hidden;
    will-change: transform, opacity;
}

.header__content.active .header__content-inner {
    left: 0;
}

.header__content.active .header__overlay {
    opacity: 1;
    pointer-events: auto;
}

.header__content--header {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header__content--header .header__content--logo {
    width: 1.36rem;
    height: auto;
    -o-object-fit: contain;
    object-fit: contain;
}

.header__content--header .header__close {
    display: flex;
    cursor: pointer;
    align-items: center;
    font-size: 0.2rem;
    --un-text-opacity: 1;
    color: rgb(55 65 81 / var(--un-text-opacity));
    font-family: FZLTHProJ-Regular, sans-serif;
}

@media (max-width: 767.9px) {
    .header__content--header .header__close {
        font-size: 0.35rem;
    }
}

.header__content--header .header__close i {
    margin-right: 0.15rem;
}

.header__content--header .header__close span {
    display: block;
    font-size: var(--font-zh-text);
    line-height: 1.6494;
    font-weight: 300;
    letter-spacing: 0.11em;
    font-size: 0.2rem;
}

@media (max-width: 767.9px) {
    .header__content--header .header__close span {
        font-size: 0.28rem;
    }
}

.header__nav {
    position: relative;
    min-height: 0;
    display: flex;
    flex: 1 1 0%;
    flex-direction: column;
    overflow: hidden;
    padding: 0.74rem 0;
}

.header__nav .submenu__back-btn {
    margin-bottom: 0.38rem;
    max-width: -webkit-fit-content;
    max-width: -moz-fit-content;
    max-width: fit-content;
    display: flex;
    flex-shrink: 0;
    cursor: pointer;
    align-items: center;
    font-size: var(--font-zh-text);
    line-height: 1.6494;
    font-weight: 300;
    letter-spacing: 0.11em;
    --un-text-opacity: 1;
    color: rgb(107 114 128 / var(--un-text-opacity));
    font-family: FZLTHProJ-Regular, sans-serif;
}

@media (max-width: 767.9px) {
    .header__nav .submenu__back-btn {
        font-size: 0.28rem;
    }
}

.header__nav .submenu__back-btn .icon {
    margin-right: 6px;
    font-size: 0.15rem;
}

@media (max-width: 767.9px) {
    .header__nav .submenu__back-btn .icon {
        font-size: 0.28rem;
    }
}

.header__nav .submenu__back-btn span {
}

@media (max-width: 767.9px) {
    .header__nav .submenu__back-btn span {
        display: block;
        line-height: 1;
    }
}

.header__primary__menu {
    position: relative;
    min-height: 0;
    display: flex;
    flex: 1 1 0%;
    flex-direction: column;
    backface-visibility: hidden;
    -webkit-backface-visibility: hidden;
}

.header__submenu-menu,
.header__thirdmenu-menu {
    display: none;
    min-height: 0;
    flex: 1 1 0%;
    flex-direction: column;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    padding: 0.74rem 0;
    backface-visibility: hidden;
    -webkit-backface-visibility: hidden;
}

.header__submenu-menu.active,
.header__thirdmenu-menu.active {
    display: flex;
}

.header__nav .submenu__container {
    min-height: 0;
    flex: 1 1 0%;
    overflow-y: auto;
}

.header__nav li + li {
    margin-top: 0.3rem;
}

.header__nav li {
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: var(--font-zh-text);
    line-height: 1.6494;
    font-weight: 300;
    letter-spacing: 0.11em;
    font-family: FZLTHProJ-Regular, sans-serif;
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 300ms;
}

@media (max-width: 767.9px) {
    .header__nav li {
        font-size: 0.36rem;
    }
}

.header__nav li a {
    display: block;
}

.header__nav li a span {
    position: relative;
    display: block;
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 300ms;
}

.header__nav li a span::before {
    position: absolute;
    --un-bg-opacity: 1;
    background-color: rgb(0 0 0 / var(--un-bg-opacity));
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 300ms;
    content: "";
    bottom: -2px;
    left: 0;
    width: 0;
    height: 1px;
}

.header__nav li .header__submenu-btn,
.header__nav li .header__thirdmenu-btn {
    height: 1.6494em;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-left: 2em;
    padding-right: 2em;
    font-size: 0.18rem;
}

.header__nav li .js-submenu-btn,
.header__nav li .js-thirdmenu-btn {
    cursor: pointer;
}

.header__nav li i {
    display: block;
    font-size: 0.15rem;
    opacity: 0;
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 300ms;
}

@media (max-width: 767.9px) {
    .header__nav li i {
        font-size: 0.35rem;
    }
}

@media (hover: hover) {
    .header__nav li:hover {
        padding-right: 0.5em;
    }

    .header__nav li a:hover span::before {
        width: 100%;
    }

    .header__nav li:hover i {
        opacity: 1;
    }
}

.header__content--footer {
    padding-top: 0.74rem;
    border-top: 2px solid rgba(179, 179, 179, 0.25);
}

.header__content--footer li + li {
    margin-top: 0.18rem;
}

.header__content--footer li a {
    display: block;
    font-size: 0.14rem;
    --un-text-opacity: 1;
    color: rgb(107 114 128 / var(--un-text-opacity));
    line-height: 1;
    font-family: FZLTHProJ-Regular, sans-serif;
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 300ms;
}

@media (max-width: 767.9px) {
    .header__content--footer li a {
        font-size: 0.24rem;
    }
}

.header__content--footer li a:hover {
    --un-text-opacity: 1;
    color: rgb(31 31 31 / var(--un-text-opacity));
}

@keyframes slideOutLeft {
    0% {
        transform: translateX(0);
        opacity: 1;
    }

    100% {
        transform: translateX(-100%);
        opacity: 0.3;
    }
}

/* 从左侧滑入 */
@keyframes slideInLeft {
    0% {
        transform: translateX(100%);
        opacity: 0.3;
    }

    100% {
        transform: translateX(0);
        opacity: 1;
    }
}

/* 向右滑出 */
@keyframes slideOutRight {
    0% {
        transform: translateX(0);
        opacity: 1;
    }

    100% {
        transform: translateX(100%);
        opacity: 0.3;
    }
}

/* 从右侧滑入 */
@keyframes slideInRight {
    0% {
        transform: translateX(-100%);
        opacity: 0.3;
    }

    100% {
        transform: translateX(0);
        opacity: 1;
    }
}

.slide-out-left {
    animation: slideOutLeft 0.35s cubic-bezier(0.4, 0, 0.2, 1) forwards;
    will-change: transform, opacity;
}

.slide-in-left {
    animation: slideInLeft 0.35s cubic-bezier(0.4, 0, 0.2, 1) forwards;
    will-change: transform, opacity;
}

.slide-out-right {
    animation: slideOutRight 0.35s cubic-bezier(0.4, 0, 0.2, 1) forwards;
    will-change: transform, opacity;
}

.slide-in-right {
    animation: slideInRight 0.35s cubic-bezier(0.4, 0, 0.2, 1) forwards;
    will-change: transform, opacity;
}
